/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.5 Funktionen Ganglinie
 * Copyright (C) 2011-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.gllib.gllib.domain;

/**
 * Enumeration für den Typ einer Ganglinien entsprechend der
 * Datenkatalog-Konfiguration.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public enum GanglinieAnfrageTyp {

    /** Ganglinienanfrage zum Lesen oder Schreiben aller Ganglinien eines MQ. */
    UNDEFINIERT(-1),

    /** Ganglinienanfrage zum Lesen oder Schreiben aller Ganglinien eines MQ. */
    SCHREIBEN(0),
    
    /** Ganglinienanfrage zum Loeschen aller Ganglinien eines MQ. */
    LOESCHEN(1),

    /** Ganglinienanfrage zum Lesen von Ganglinien eines MQ. */
    LESEN(2),

    /** Ganglinienanfrage zum Anlegen von neuen Ganglinien eines MQ. */
    ANLEGEN(3),
    
    /** Ganglinienanfrage zum Aktualisieren von bestehenden Ganglinien eines MQ. */
    AKTUALISIEREN(4);

    
    private final int code;

    GanglinieAnfrageTyp(int code) {
        this.code = code;
    }

    public static GanglinieAnfrageTyp with(int code) {
        for (GanglinieAnfrageTyp typ : values()) {
            if (typ.code == code) {
                return typ;
            }
        }

        return GanglinieAnfrageTyp.UNDEFINIERT;
    }

    public int getCode() {
        return code;
    }

}
